Skip to main content
GET
/
api
/
v2
/
tokens
/
{tokenId}
/
stats
GET /api/v2/tokens/:tokenId/stats — Token trading statistics
curl --request GET \
  --url https://api.shuriken.trade/api/v2/tokens/{tokenId}/stats \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "priceChange": {
      "1h": 123,
      "24h": 123,
      "5m": 123,
      "6h": 123
    },
    "tokenId": "<string>",
    "txns": {
      "buys1h": 123,
      "buys24h": 123,
      "buys5m": 123,
      "buys6h": 123,
      "sells1h": 123,
      "sells24h": 123,
      "sells5m": 123,
      "sells6h": 123
    },
    "uniqueTraders": {
      "buyers1h": 123,
      "buyers24h": 123,
      "buyers5m": 123,
      "buyers6h": 123,
      "sellers1h": 123,
      "sellers24h": 123,
      "sellers5m": 123,
      "sellers6h": 123
    },
    "volume": {
      "buy1h": 123,
      "buy24h": 123,
      "buy5m": 123,
      "buy6h": 123,
      "sell1h": 123,
      "sell24h": 123,
      "sell5m": 123,
      "sell6h": 123
    }
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shuriken.trade/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.

Path Parameters

tokenId
string
required

Token ID in chain:address format

Response

200 - application/json

Token trading statistics

V2 success response envelope

data
object
required
requestId
string
required
pagination
object

Page-based pagination info (per RFC)